<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Модерация жалоб');

///Подключаем шапку
$title->GetHeader();

if ($b['level'] < 1) {
header('location:/');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Модерация жалоб </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/panel" rel="v:url" property="v:title">Дата-центр</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Модерация жалоб</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo '<div class="catSides"><a href="/panel"><i class="md-format-list-bulleted"></i> Админка</a> - Модерация жалоб</div>';
switch($_GET['do']) {
default:
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM `complaint` WHERE `read` = ?", [1]);
echo '<div class="row text_box"><a href="?do=new"><i class="md-shuffle"></i> Новые жалобы '.(!empty($look) ? '<font color="red">(+'.$look.')</font>':NULL).'</a></div>';
echo '<div class="row text_box"><a href="?do=list"><i class="md-shuffle"></i> Рассмотреные жалобы ('.DB::$dbs->querySingle("SELECT COUNT(id) FROM `complaint` WHERE `read` = ?", [0]).') </a></div>';
break;
case 'new':
if (isset($_GET['ok'])) {
DB::$dbs->query("UPDATE `complaint` SET `read` = ? WHERE `id` = ?", [0,abs((int)$_GET['ok'])]);
header('location: ?do=new');
}
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM `complaint` WHERE `read` = ?",[1]);
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs -> query("SELECT * FROM `complaint` WHERE `read` = ? ORDER BY `time` DESC LIMIT $start,$num",[1]);
if ($sql->rowCount() == 0) {
err('Новых жалоб нет!');
} else {
while($a = $sql -> fetch()) {
echo '<div class="row text_box"><i class="md-shuffle"></i> Действие с жалобом: '.($a['read'] == 1 ? '<a href="?do=new&ok='.$a['id'].'">[Рассмотрено]</a></div><div class="row text_box"><b><font color="red">[new]</font></b> ':NULL).Nick($a['user_id']).' ('.vr($a['time']).') оставил жалобу на пост '.Nick($a['id_user']).' за сообщение: '.text($a['text']).'<br/><b>Комментарие:</b> '.nl2br($a['komm']).(!empty($a['tema']) ? '<br/>
Ссылка на тему: <a href="'.$a['tema'].'">Перейти>></a>':NULL).'</div>';
}
}
if ($k_page>1) {
str('?do=new&', $k_page,$page);
}
break;
case 'list':
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM `complaint` WHERE `read` = ?",[0]);
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs -> query("SELECT * FROM `complaint` WHERE `read` = ? ORDER BY `time` DESC LIMIT $start,$num",[0]);
if ($sql->rowCount() == 0) {
err('Архив пуст!');
} else {
while($a = $sql -> fetch()) {
echo '<div class="row text_box">'.Nick($a['user_id']).' ('.vr($a['time']).') оставил жалобу на пост '.Nick($a['id_user']).' за сообщение: <br/>'.text($a['text']).'<br/><b>Комментарий:</b> '.text($a['komm']).(!empty($a['tema']) ? '<br/>Ссылка на тему: <a href="'.$a['tema'].'">Перейти>></a>':NULL).'</div>';
}
}
if ($k_page>1) {
str('?do=list&', $k_page,$page);
}
break;
}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>